Bug 992701 - perl-PDL-Graphics-PLplot: FTBFS in rawhide
perl-PDL-Graphics-PLplot: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-PDL-Graphics-PLplot (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
: 914308 (view as bug list)
Depends On: 914307
Blocks: F19FTBFS F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-05 01:55 EDT by Dennis Gilmore
Modified: 2013-12-13 21:56 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-PDL-Graphics-PLplot-0.67-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 21:56:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-05 01:55:19 EDT
Your package perl-PDL-Graphics-PLplot failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5740439

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/439/5740439/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/439/5740439/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/439/5740439/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Fedora Admin XMLRPC Client 2013-08-07 19:41:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-09-16 11:42:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Petr Pisar 2013-10-14 09:28:52 EDT
I have upgraded perl-PDL on F21 and F20 to work with current Perl and GCC, so you can continue with perl-PDL-Graphics-PLplot.

I give a try and tests fail on undefined c_plwid symbol. There is a commit in upstream PDL git tree:

From 46468fb511ed5ed9d67905039f227234a3306ffb Mon Sep 17 00:00:00 2001
From: sisyphus_ <sisyphus1@optusnet.com.au>
Date: Mon, 7 Oct 2013 21:33:13 +1100
Subject: [PATCH] Graphics/PLplot/plplot.pd - address portability issue
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Define "c_plwid" to "c_plwidth" iff "plwidth" is
defined.

That fixes the issue. See <http://thread.gmane.org/gmane.comp.lang.perl.pdl.devel/5555>.

But other tests keep failing because <plplot/pltplot.h> still declares c_plwid and the tests try to use it.
Comment 4 Christopher Meng 2013-11-01 23:28:23 EDT
*** Bug 914308 has been marked as a duplicate of this bug. ***
Comment 5 Christopher Meng 2013-11-19 07:24:44 EST
PLplot new version has PDL_Indx, which was not introduced before.

Fixed in upstream 0.67.

Will update soon.
Comment 6 Fedora Update System 2013-11-19 09:26:15 EST
perl-PDL-Graphics-PLplot-0.67-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-PDL-Graphics-PLplot-0.67-1.fc20
Comment 7 Fedora Update System 2013-11-19 16:51:05 EST
Package perl-PDL-Graphics-PLplot-0.67-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-PDL-Graphics-PLplot-0.67-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21718/perl-PDL-Graphics-PLplot-0.67-1.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-12-13 21:56:50 EST
perl-PDL-Graphics-PLplot-0.67-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.